# Get market codes list

The endpoint retrieves the list of market codes available for alphanumeric registration. Market code is an optional query param, if used, the response will contain a list with the same market code if it is available; the list will be empty if it is not.

Endpoint: GET /v1/projects/{projectId}/markets/availability
Version: 1.0.0
Security: OAuth2

## Path parameters:

  - `projectId` (string, required)
    Customer's project id

## Query parameters:

  - `marketCode` (string)
    Filter by ISO market code (ex. 'IT', 'AU', 'KW', etc.)
    Example: "MK"

  - `language` (string)
    Language used to print country names. Default: en
    Example: "es"

  - `registrationType` (string)
    Type of Sender ID to be registered. Options: ALPHANUMERIC_SENDER_ID for alpha registration, LONG_NUMBER for long number sms services registration, SHORT_CODE for short code sms services registration, RCS_AGENT for RCS agent
    Enum: "ALPHANUMERIC_SENDER_ID", "LONG_NUMBER", "SHORT_CODE", "RCS_AGENT"

## Response 200 fields (application/json):

  - `markets` (array)
    List of countries that matches with the request criteria.

  - `markets.marketCode` (string)
    ISO market code (ex. 'IT', 'AU', 'AE', etc.)
    Example: "AE"

  - `markets.marketName` (string)
    Market Name
    Example: "United Arab Emirates"

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.message` (string)

  - `error.status` (string)


## Response 403 fields
